{
  "type": "wizard_samurai:shaped_table",
  "category": "misc",
  "key": {
    "b": {
      "item": "irons_spellbooks:blood_upgrade_orb"
    },
    "e": {
      "item": "irons_spellbooks:ender_upgrade_orb"
    },
    "f": {
      "item": "irons_spellbooks:fire_upgrade_orb"
    },
    "h": {
      "item": "irons_spellbooks:holy_upgrade_orb"
    },
    "i": {
      "item": "irons_spellbooks:ice_upgrade_orb"
    },
    "l": {
      "item": "irons_spellbooks:lightning_upgrade_orb"
    },
    "n": {
      "item": "irons_spellbooks:nature_upgrade_orb"
    },
    "o": {
      "item": "wizard_samurai:omamori_empty"
    },
    "v": {
      "item": "irons_spellbooks:evocation_upgrade_orb"
    }
  },
  "pattern": [
    "fil",
    "hoe",
    "bvn"
  ],
  "result": {
    "item": "wizard_samurai:omamori_spell_damage"
  },
  "show_notification": true,
  "tier": 1
}